> For the complete documentation index, see [llms.txt](https://docs.roomiekit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roomiekit.io/reference/feature-flags.md).

# Feature flags

Optional product systems are disabled by default.

```bash
VITE_ENABLE_WAITLIST=false
VITE_ENABLE_INVITES=false
VITE_ENABLE_ECONOMY=false
VITE_ENABLE_GIFTS=false
VITE_ENABLE_DAILY_REWARDS=false
VITE_ENABLE_PUSH=false
VITE_ENABLE_PAYMENTS=false
```

Core rooms, auth, avatars, streaming, and video chat should work without enabling these modules.

See [Backend modules](/open-source-starter/backend-modules.md) for matching migrations and functions.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.roomiekit.io/reference/feature-flags.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
